/*
 * Copyright 2008, Haiku.
 * Distributed under the terms of the MIT License.
 *
 * Authors:
 *		Philippe Saint-Pierre <stpere@gmail.com>
 */
#ifndef CAPS_LOCK_FILTER_H
#define CAPS_LOCK_FILTER_H


#include <InputServerFilter.h>
#include <Looper.h>


class CapsLockFilter : public BInputServerFilter {
	public:
		CapsLockFilter();
		virtual ~CapsLockFilter();

		virtual filter_result Filter(BMessage *message, BList *outList);

	private:
		bool _shiftPressed;
};

#endif	/* CAPS_LOCK_FILTER_H */
